<?php
/***********************************************
* File      :   admin.php
* Project   :   piwigo-force-https
* Descr     :   Generate the admin panel
*
* Created   :   02.05.2013
*
* Author: bonhommedeneige
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
************************************************/

// Check whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Setup plugin Language
load_language('plugin.lang', FORCE_HTTPS_PATH);

// Fetch the template.
global $template, $conf, $lang;

// Load parameter
$controls = $conf['fhp_active'] ? 'true' : 'false';

// Update conf if submitted in admin site
if (isset($_POST['submit']) && !empty($_POST['fhp_active']))
{
	$query = "UPDATE ". CONFIG_TABLE ." SET value='". $_POST['fhp_active'] ."' WHERE param='fhp_active'";
	pwg_query($query);

	// keep the value in the admin form
	$controls = $_POST['fhp_active'];
}

// send value to template
$template->assign(
	array(
		'CONTROLS'			=> $controls,
	)
);

// Add our template to the global template
$template->set_filenames(
	array(
		'plugin_admin_content' => dirname(__FILE__).'/admin.tpl'
	) 
);

// Assign the template contents to ADMIN_CONTENT
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>
